<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FileHandleDataStream.html">FileHandleDataStream</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::FileHandleDataStream Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">AccessMode</a> enum name</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#ac6f1032583209f59b503e7f29946230e">close</a>(void)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a87d6018d4486304f004782c536a72de5">DataStream</a>(uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a679e39a3ef590e1dc232800c37cfeb8b">DataStream</a>(const String &amp;name, uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#af1cbf779ef50f4b7439f1f83a4107f6f">eof</a>(void) const </td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#af3d8fd17787d46b2e6ab486586e0925f">FileHandleDataStream</a>(FILE *handle, uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#a16198eae30b14a03c4ebf1a3d2e6e762">FileHandleDataStream</a>(const String &amp;name, FILE *handle, uint16 accessMode=READ)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">getAccessMode</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">getAsString</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">getLine</a>(bool trimAfter=true)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">getName</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">isReadable</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">isWriteable</a>() const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">mAccess</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#afd3bb878af2d0a10bd312f680ea38a4b">mFileHandle</a></td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">mName</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">mSize</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a49bfe5809b50735b5ce49e7df9615e5a">operator&gt;&gt;</a>(T &amp;val)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#af64e7e826054181f9026e0f71f901c63">read</a>(void *buf, size_t count)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e">READ</a> enum value</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">readLine</a>(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#af56e7f07f2f13c2b05772db8ad75201a">seek</a>(size_t pos)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a>(void) const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#a379566f8413d0a525fa7d603af6e33d4">skip</a>(long count)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">skipLine</a>(const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#a5d4956cb513de300f8d9a3d68ff92e8f">tell</a>(void) const </td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900">WRITE</a> enum value</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#ad061c86660f6415331df5f8560b46a02">write</a>(const void *buf, size_t count)</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#a9501eeeb1aefc59f4dad05ec0cbdc14e">~DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FileHandleDataStream.html#a9b0503929f53ff42daa0eac1847a6c06">~FileHandleDataStream</a>()</td><td><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
